Page MenuHomePhabricator

Traffic stats not generating reliably
Closed, ResolvedPublic

Description

Hey all, in the past week or so, http://top.hatnote.com users have noticed that the metrics are not generating reliably or in a timely fashion. For instance, it's nearing EOD September 3rd, and we still don't have data for the 2nd: https://wikimedia.org/api/rest_v1/metrics/pageviews/top/en.wikipedia/all-access/2016/09/02 (currently 404ing)

Is there some problem?

Event Timeline

mahmoud created this task.Sep 3 2016, 11:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2016, 11:42 PM

(Not sure if I added the right tags, sorry for the spam.)

Also, this is just based off of experience, but the traffic for August 27th doesn't look right: http://top.hatnote.com/en/wikipedia/2016/8/27.html

The spammers almost never all rise to the top like that, and the top (non-spam) page only having <150k views is pretty suspect, as well. Could this be related to T141506? The dates line up.

For my reference, here's the user report threads on twitter:

Regarding data generation for September 2nd, there have been an issue indeed !
Our computation cluster has been overwhelmed September 1st and 2nd, leading to some errors. They have been corrected yesterday.
Usually we respond to this type of errors faster, I apologize for not having been as fast as usual on this one.

Regarding the other problem (August 27th) I have created a new ticket: T144715
I'm closing this one.

JAllemandou closed this task as Resolved.Sep 5 2016, 6:19 AM